package fr.free.supertos.anniversaire.dao;

import org.xmlpull.v1.XmlSerializer;

import android.database.sqlite.SQLiteDatabase;

public class DaoStandard {
	protected SQLiteDatabase idSQLiteDB;

	protected XmlSerializer serializer;

	/**
	 * Constructeur DAO pour un usage avec une base de donne SqLite
	 * @param idSQLiteDB
	 */
	public DaoStandard(SQLiteDatabase idSqLite) {
		this.idSQLiteDB=idSqLite;
		this.serializer=null;
	}
	
	/**
	 * Constructeur DAO pour un usage avec un fixhier XML en sortie
	 * 
	 * @param serializer
	 */
	public DaoStandard(XmlSerializer serializer) {
		this.serializer=serializer;
		this.idSQLiteDB=null;
	}

}
