package fr.free.supertos.anniversaire.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.widget.Toast;
import fr.free.supertos.anniversaire.log.LogAnniv;
import fr.free.supertos.anniversaire.service.ServiceAutoRun;

/**
 * BroadcastReceiver dclench lorsque le systme a termin de booter.
 * Il est alors possible de lancer un service nomm ServiceAutoRun dont
 *  le rle sera ici d'activer des alarmes
 *  
 * @author Supertos
 *
 */
public class BroadcastReceiverAutoRun extends BroadcastReceiver {
	@Override
	public void onReceive(Context context, Intent intent) {
		if (LogAnniv.isDebug())
    	{
			Toast toast = Toast.makeText(context, "BOOT termin !", Toast.LENGTH_LONG);
			toast.show();
    	}
		Intent startServiceIntent = new Intent(context, ServiceAutoRun.class);
		context.startService(startServiceIntent);
	}
}
