package fr.free.supertos.anniversaire.log;

import android.util.Log;
import fr.free.supertos.anniversaire.BuildConfig;

public class LogAnniv {
	
	private final static Boolean INFORMATION=true;
	
	private static final LogAnniv leSingleton=new LogAnniv();
	
	private LogAnniv()
	{
		
	}
	
	public static void d (String nomClasse, String texteLog)
	{
		Log.d(nomClasse, texteLog);
	}

	public static void i (String nomClasse, String texteLog)
	{
		Log.i(nomClasse, texteLog);		
	}

	public static void e (String nomClasse, String texteLog)
	{
		Log.e(nomClasse, texteLog);		
	}

	public static LogAnniv getLogAnniv()
	{
		return leSingleton;
	}

	public static void w(String nomClasse, String texteLog) {
		Log.w(nomClasse, texteLog);		
	}
	
	public static Boolean isDebug()
	{
		return BuildConfig.DEBUG;
	}
	
	public static Boolean isInformation()
	{
		return INFORMATION;
	}
}
